---
lang: en
title: 'API docs: core.application.setmetadata'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.application.setmetadata.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [Application](./core.application.md) &gt; [setMetadata](./core.application.setmetadata.md)

## Application.setMetadata() method

Set application metadata. `@loopback/boot` calls this method to populate the metadata from `package.json`<!-- -->.

<b>Signature:</b>

```typescript
setMetadata(metadata: ApplicationMetadata): void;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  metadata | <code>ApplicationMetadata</code> | Application metadata |

<b>Returns:</b>

`void`


